libzypp 17.38.15

zyppng::detail::MtryImpl< Ret, F, Args > Struct Template Reference

`#include <zypp-core/ng/pipelines/mtry.h>`

## Static Public Member Functions
static expected< Ret > | execute (F &&f, Args &&...args)

## Detailed Description

template<typename Ret, typename F, typename ... Args>
struct zyppng::detail::MtryImpl< Ret, F, Args >

Definition at line 28 of file mtry.h.

## Member Function Documentation

## ◆ execute()

template<typename Ret, typename F, typename ... Args>

expected< Ret > zyppng::detail::MtryImpl< Ret, F, Args >::execute | ( | F && | f,
|  | Args &&... | args )
| inline static

Definition at line 29 of file mtry.h.

The documentation for this struct was generated from the following file:

- zypp-core/ng/pipelines/mtry.h